Query by acquirer custom identifier
curl --request GET \
--url 'https://gateway.paybyrd.com/api/v2/transactions?acquirerCustomId=%24{customIdentifier}' \
--header 'x-api-key: <api-key>'import requests
url = "https://gateway.paybyrd.com/api/v2/transactions?acquirerCustomId=%24{customIdentifier}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://gateway.paybyrd.com/api/v2/transactions?acquirerCustomId=%24{customIdentifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"currency": "EUR",
"acquirer": "SIMULATED",
"brand": "MASTER",
"paymentMethod": "Card",
"operationType": "Payment",
"status": "Success",
"fingerPrint": "f7f76173-f357-4863-bbc3-f5b6204a2769",
"createdDate": "2025-05-12T18:04:38Z",
"transactionDate": "2025-05-12T18:04:38Z",
"capturedDate": "2025-05-12T18:04:41Z",
"maskedCardNumber": "555534******1115",
"authorizationCode": "327161",
"initiatedFrom": "Server",
"subscriptionGuid": "b9852997-0e6a-4542-a9fd-e9ae76967653",
"personId": 10,
"expiresAt": "2025-05-12T18:19:39Z",
"attempt": 0,
"index": 0,
"externalSessionIdentifier": "b7fc1639-6dda-4c20-b618-097ef1e4e842",
"externalTransactionIdentifier": "b15dc08a-277e-4c24-95e4-0ceb10540efd",
"externalCustomIdentifier": "bc0a8270d48b4a3d9f1bf0a4eab365dc",
"acquirerResponseCode": "00",
"acquirerResponseMessage": "Success",
"card": {
"holder": "Jane Jones",
"number": "555534******1115",
"expiresAt": "12/25",
"installments": 1,
"installmentAmount": 2634,
"isPayerTraveling": false,
"countryCode": "QAT"
},
"airportCode": "LIS",
"applicationId": "sellgate",
"marketId": "PT",
"acceptTokenization": true,
"cardInfoComposition": {
"cardServiceType": "Credit",
"sourceEnvironment": "Online",
"cardCommercialType": "Corporate",
"cardIssueLocation": "NonEea"
},
"transactionId": "bc0a8270-d48b-4a3d-9f1b-f0a4eab365dc",
"amount": "26.34",
"isoAmount": 2634
}
]Transactions
Query by acquirer custom identifier
GET
/
api
/
v2
/
transactions?acquirerCustomId=$
{customIdentifier}
Query by acquirer custom identifier
Authorizations
Path Parameters
The acquirer's custom identifier.
Response
200 - application/json
200
Example:
"EUR"
Example:
"SIMULATED"
Example:
"MASTER"
Example:
"Card"
Example:
"Payment"
Example:
"Success"
Example:
"Server"
Example:
"00"
Example:
"Success"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
"26.34"
Example:
2634
⌘I

